<?php

    /*
    Copyright 2006 Paul Westbrook (paul@westbrooks.org)
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */

	include_once( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );
	include_once( PLOG_CLASS_PATH."class/plugin/pluginmanager.class.php" );
    include_once( PLOG_CLASS_PATH."plugins/akismet/class/security/akismetfilter.class.php" );

	class PluginAkismet extends PluginBase
	{
		var $pluginEnabled;
		
		function PluginAkismet()
		{
			$this->PluginBase();

			$this->id      = "akismet";
			$this->desc    = "Akismet checks your comments against the Akismet web serivce to see if they look like spam or not.";
			$this->author  = "Paul Westbrook (Akismet php library provided by <a href=\"http://miphp.net/blog/view/php4_akismet_class\">Bret Kuhns</a>)";
			$this->locales = Array( "en_UK" );

			$this->init();
		}

		function init()
		{
            $this->registerFilter( "AkismetFilter" );

            $this->registerAdminAction( "akismet", "PluginAkismetConfigAction" );
			$this->registerAdminAction( "updateAkismetConfig", "PluginAkismetUpdateConfigAction" );
			
		    include_once( PLOG_CLASS_PATH."class/template/menu/menu.class.php" );

			$menu =& Menu::getMenu();
			if( !$menu->entryExists( "/menu/controlCenter/manageAntiSpamPlugins" ))						
				$this->addMenuEntry( "/menu/controlCenter", "manageAntiSpamPlugins", "", "", true, false );			
            $this->addMenuEntry( "/menu/controlCenter/manageAntiSpamPlugins", "akismet", "?op=akismet", "" );            
		}

		function register()
		{
		    $blogSettings = $this->blogInfo->getSettings();
			$this->pluginEnabled = $blogSettings->getValue( "plugin_akismet_enabled" );
		}

	    function isEnabled()
	    {
	        return $this->pluginEnabled;
	    }
	}
?>